import { ProjectConfiguration, Tree } from '@nx/devkit';
import { PackageJson } from '@rxap/workspace-utilities';
export interface PackageJsonWithGenerators extends PackageJson {
    generators: string;
}
export declare function HasGeneratorProperty(packageJson: PackageJson): packageJson is PackageJsonWithGenerators;
export declare function GetGeneratorFilePath(projectRoot: string, packageJson: PackageJsonWithGenerators): string;
export declare function ExistsGeneratorFile(tree: Tree, projectRoot: string, packageJson: PackageJsonWithGenerators): boolean;
export interface GeneratorFile {
    generators: Record<string, {
        factory: string;
        schema: string;
        description: string;
    }>;
    schematics?: Record<string, {
        factory: string;
        schema: string;
        description: string;
    }>;
}
export declare function GetGeneratorFile(tree: Tree, projectRoot: string, packageJson: PackageJsonWithGenerators): GeneratorFile;
export declare function ProjectRootOrNameOrConfigurationToProjectRoot(tree: Tree, projectRootOrNameOrConfiguration: string | ProjectConfiguration): string;
export declare function GetGenerators(tree: Tree, projectRootOrNameOrConfiguration: string | ProjectConfiguration): GeneratorFile;
export declare function UpdateGenerators(tree: Tree, projectRootOrNameOrConfiguration: string | ProjectConfiguration, update: (generators: GeneratorFile) => GeneratorFile): void;
export declare function HasGenerators(tree: Tree, projectRootOrNameOrConfiguration: string | ProjectConfiguration): boolean;
