"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetTargetOptions = exports.GetTarget = exports.CreateConfigurationMapMatchingWithTarget = exports.GetTargetConfigurationNameList = void 0;
function GetTargetConfigurationNameList(projectConfiguration, targetName) {
    var _a;
    const configurationNameList = [];
    if (projectConfiguration.targets && projectConfiguration.targets[targetName]) {
        return Object.keys((_a = projectConfiguration.targets[targetName].configurations) !== null && _a !== void 0 ? _a : {});
    }
    return configurationNameList;
}
exports.GetTargetConfigurationNameList = GetTargetConfigurationNameList;
function CreateConfigurationMapMatchingWithTarget(projectConfiguration, targetName) {
    return GetTargetConfigurationNameList(projectConfiguration, 'build')
        .reduce((acc, configurationName) => (Object.assign(Object.assign({}, acc), { [configurationName]: {} })), {});
}
exports.CreateConfigurationMapMatchingWithTarget = CreateConfigurationMapMatchingWithTarget;
function GetTarget(projectConfiguration, targetName) {
    if (projectConfiguration.targets && projectConfiguration.targets[targetName]) {
        return projectConfiguration.targets[targetName];
    }
    throw new Error(`Could not find target '${targetName}' for project '${projectConfiguration.name}'`);
}
exports.GetTarget = GetTarget;
function GetTargetOptions(projectTarget, configurationName) {
    var _a;
    const options = (_a = projectTarget.options) !== null && _a !== void 0 ? _a : {};
    if (configurationName) {
        if (projectTarget.configurations && projectTarget.configurations[configurationName]) {
            Object.assign(options, projectTarget.configurations[configurationName]);
        }
    }
    return options;
}
exports.GetTargetOptions = GetTargetOptions;
//# sourceMappingURL=get-target-configuration-name-list.js.map